
# BaseModel::where 

### Usage

> ModelIterator BaseModel::where(string $where_sql, [ ... $args ])

### Description

> Select multiple records from the database table that is assigned to the model class.

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
where_sql | Yes | string |
args | No | ... |

### Return
> ModelIterator 
### See Also

* [all()](all)
* [count()](count)
* [delete()](delete)
* [deleteMany()](deletemany)
* [getChildren()](getchildren)
* [insert()](insert)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toFormattedArray()](toformattedarray)
* [update()](update)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


